import type { MetadataRoute } from 'next'

export default function manifest(): MetadataRoute.Manifest {
  return {
    name: 'ShopMaster',
    short_name: 'ShopMaster',
    description: 'Manage your grocery lists across multiple stores.',
    start_url: '/',
    display: 'standalone',
    background_color: '#F0F0F0', // Light Gray
    theme_color: '#4CAF50', // Green
    icons: [
      {
        src: '/icon.svg', // Assuming you have an icon at public/icon.svg
        sizes: 'any',
        type: 'image/svg+xml',
      },
       {
        src: '/android-chrome-192x192.png', // Path relative to /public
        sizes: '192x192',
        type: 'image/png',
      },
      {
        src: '/android-chrome-512x512.png', // Path relative to /public
        sizes: '512x512',
        type: 'image/png',
      },
    ],
  }
}
